<?php
/**
 * Active Callback functions.
 *
 * @package Hait
 */

if ( ! function_exists( 'hait_is_show_profile_active' ) ) :

	/**
	 * Check if show profile is active in header.
	 */
	function hait_is_show_profile_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[show_profile]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'hait_is_banner_active' ) ) :

	/**
	 * Check if banner is active.
	 */
	function hait_is_banner_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[enable_banner]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'hait_is_layout_grid_active' ) ) :

	/**
	 * Check if blog layout grid is active.
	 */
	function hait_is_layout_grid_active( $control ) {

		if ( 'grid' === $control->manager->get_setting( 'theme_options[global_layout]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;

if ( ! function_exists( 'hait_is_show_excerpt_active' ) ) :

	/**
	 * Check if show excerpt is active.
	 */
	function hait_is_show_excerpt_active( $control ) {

		if ( true === $control->manager->get_setting( 'theme_options[show_excerpt]' )->value() ) {
			return true;
		} else {
			return false;
		}
	}

endif;
