<?php
/**
 * Shop Single Options.
 *
 * @package Hait
 */

// Shop Single Section.
$wp_customize->add_section( 'section_shop_single',
	array(
		'title'      => esc_html__( 'Shop Single (Product Detail)', 'hait' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting shop_content_width_single.
$wp_customize->add_setting( 'theme_options[shop_content_width_single]',
	array(
		'default'           => $default['shop_content_width_single'],
		'sanitize_callback' => 'hait_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'theme_options[shop_content_width_single]',
	array(
		'label'    => esc_html__( 'Content Width', 'hait' ),
		'section'  => 'section_shop_single',
		'type'     => 'number',
		'priority' => 100,
		'input_attrs' => array( 'min' => 700, 'max' => 1280, 'style' => 'width: 75px;' ),
	)
);

// Setting enable_gallery_zoom.
$wp_customize->add_setting( 'theme_options[enable_gallery_zoom]',
	array(
		'default'           => $default['enable_gallery_zoom'],
		'sanitize_callback' => 'hait_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[enable_gallery_zoom]',
	array(
		'label'    			=> esc_html__( 'Enable Image Zoom', 'hait' ),
		'section'  			=> 'section_shop_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting disable_related_products.
$wp_customize->add_setting( 'theme_options[disable_related_products]',
	array(
		'default'           => $default['disable_related_products'],
		'sanitize_callback' => 'hait_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[disable_related_products]',
	array(
		'label'    			=> esc_html__( 'Disable Related Products', 'hait' ),
		'section'  			=> 'section_shop_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);
